{% extends "base.html" %}
{% block title %} Afficher les créancier {% endblock %}
{% block body %}
<div class="container">
	<div class="row">
		<div class="col-md-12">
            <table class="table-hover table-bordered table table-responsive">
            {% if data %}
                <thead>
                    <tr>
                        <th class="align-middle">
                            ID
                        </th>
                        <th class="align-middle">
                            Nom d'utilisateur
                        </th>
                        <th class="align-middle">
							Mot de passe hashé (lol)
                        </th>
						<th class="align-middle">
							Banque utilisateur
                        </th>
                        <th class="align-middle">
							Numéro bancaire
                        </th>
						<th class="align-middle">
							Cryptogramme Visuel
                        </th>
						<th class="align-middle">
							Expiration carte
                        </th>
						<th class="align-middle">

                        </th>
						<th class="align-middle">

                        </th>
						<th class="align-middle">

                        </th>


                    </tr>
                </thead>
            {% endif %}

            {% for row in data %}
				<tbody>
					<tr>
						<td class="align-middle">
							{{ row.id_utilisateur }}
						</td>
						<td class="align-middle">
							{{ row.nom_utilisateur }}
						</td>
						<td class="align-middle">
							{{ row.mot_de_passe }}
						</td>
						<td class="align-middle">
							{{ row.banque_utilisateur }}
						</td>
						<td class="align-middle">
							{{ row.numero_bancaire }}
						</td>
						<td class="align-middle">
							{{ row.cryptogramme_visuel }}
						</td>
						<td class="align-middle">
							{{ row.date_expiration_carte }}
						</td>
						<td class="text-center" class="align-middle">
							<a class="btn btn-primary" href="{{ url_for('utilisateur_ajouter_wtf') }}" role="button">Ajouter</a>
						</td>
						<td class="text-center" class="align-middle">
							<a class="btn btn-warning" href="{{ url_for('utilisateur_update_wtf', id_utilisateur_btn_edit_html=row.id_utilisateur) }}" role="button">Edit</a>
						</td>
						<td class="text-center" class="align-middle">
							<a class="btn btn-danger" href="{{ url_for('utilisateur_delete_wtf', id_utilisateur_btn_delete_html=row.id_utilisateur) }}" role="button">Delete</a>
						</td>
					</tr>
				</tbody>
            {% else %}
				<tbody>
					<tr>
						<td>
							Aucun créancier.
						</td>
						<td>
							<a class="btn btn-primary" href="{{ url_for('creancier_ajouter_wtf') }}" role="button">Ajouter</a>
						</td>
					</tr>
				</tbody>
            {% endfor %}
			</table>
		</div>
	</div>
</div>
{% endblock %}

